#
# spec file for package man-pages (Version 2.68)
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           man-pages
Url:            ftp://ftp.win.tue.nl/pub/linux-local/manpages/
License:        BSD 3-Clause; GPL v2 or later; Other uncritical OpenSource License
Group:          Documentation/Man
AutoReqProv:    on
Version:        2.68
Release:        20.10.19
Summary:        Linux and POSIX Manual Pages
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         man-pages-%{version}.tar.bz2
Source1:        shadow.5
Source2:        gai.conf.5
Patch:          man-pages.eal3.diff
Patch1:         %{name}_host-conf-mdns.patch
Patch2:         %{name}_gai.conf-reference.patch
Patch3:         %{name}-nscd-conf.patch
Patch4:         %{name}-proc.5.patch
BuildArch:      noarch

%description
This package contains a large collection of Linux and POSIX manual
pages (man pages, documentation) from the Linux Documentation Project
(LDP).



%prep
%setup -q
%patch -p2
%patch1
%patch2
%patch3
%patch4 -p1
find -name "*.orig" | xargs rm -fv

%build
cp %SOURCE1 man5/
cp %{SOURCE2} man5/
# not actual anymore
rm -f man2/ioctl_list.2
# nfs-utils
rm -f man5/exports.5
# coreutils, diffutils
rm -f man1/vdir.1 man1/touch.1 man1/rmdir.1 man1/rm.1 man1/mv.1 man1/mknod.1 man1/mkfifo.1 man1/mkdir.1 man1/ls.1 man1/ln.1 man1/install.1 man1/du.1 man1/dircolors.1 man1/dir.1 man1/diff.1 man1/df.1 man1/dd.1 man1/cp.1 man1/chown.1 man1/chmod.1 man1/chgrp.1 man3/getaddrinfo.3.orig
# quota
rm -f man2/quotactl.2
# not part of SUSE Linux (#244990)
rm -f man1p/asa.1p

%install
mkdir -p $RPM_BUILD_ROOT%{_mandir}
for i in man? man?p ; do
  mkdir -p $RPM_BUILD_ROOT%{_mandir}/$i
  cp -p $i/* $RPM_BUILD_ROOT%{_mandir}/$i/
done
cd $RPM_BUILD_ROOT%{_mandir}
RETVAL=0
ARE_MISSING=""
for i in */* ; do
    FOUND=0
    grep "^.so man" $i && FOUND=1
    if [ $FOUND == 1 ] ; then
      if [ ! -f `grep "^.so man" $i | awk '{print $2}'` ]; then
	ARE_MISSING="$i $ARE_MISSING"
        RETVAL=1
      fi
    fi
done
echo ""
echo "The following manual pages are now missing (for .so reference):"
echo $ARE_MISSING
echo ""
if [ $RETVAL -ne 0 ] ; then
  exit $RETVAL
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_mandir}/man?p
%doc %{_mandir}/man*/*.gz
%doc README
%doc POSIX-COPYRIGHT
%doc man-pages-*.Announce
%doc man-pages-*.lsm

%changelog
* Mon Jan 10 2011 ro@suse.de
- un-fuzz patches
* Mon Jan 10 2011 pgajdos@suse.cz
- added information about /proc/sys/kernel/sysrq and
  /proc/sys/vm/swappiness [bnc#556644]
* Fri Feb  6 2009 pgajdos@suse.cz
- removed information about -S parameter from nscd.conf
  [bnc#460116]
* Mon Mar 17 2008 pgajdos@suse.cz
- updated to 2.68 [bnc#368641]
* Thu Feb 15 2007 kukuk@suse.de
- asa is not part of SLE [#244990]
* Sun Aug  6 2006 kukuk@suse.de
- Auto-Update to version 2.39
* Fri Aug  4 2006 kukuk@suse.de
- Auto-Update to version 2.38
* Thu Aug  3 2006 kukuk@suse.de
- Auto-Update to version 2.37
* Thu Jul 27 2006 kukuk@suse.de
- Remove nscd.conf(5) patch, is now upstream
* Mon Jul 17 2006 kukuk@suse.de
- Auto-Update to version
* Tue Jul  4 2006 jreuter@suse.de
- Adding previously undocumented nscd options to nscd.conf(5)
  (#173228)
* Tue Jun 20 2006 kukuk@suse.de
- Auto-Update to version 2.34
* Tue May 30 2006 kukuk@suse.de
- Auto-Update to version 2.33
* Wed May 17 2006 kukuk@suse.de
- Update to version 2.32
  - document all *at() functions
  - lot of small corrections about error handling in various places
* Mon Apr 24 2006 kukuk@suse.de
- Auto-Update to version 2.29
* Sat Mar 25 2006 autobuild@suse.de
- Auto-Update to version 2.27
* Tue Mar 21 2006 autobuild@suse.de
- Auto-Update to version 2.26
* Fri Mar  3 2006 kukuk@suse.de
- Update to version 2.25
  - New pages describing POSIX message queue API
* Tue Feb 14 2006 kukuk@suse.de
- Update to version 2.23
* Tue Jan 31 2006 kukuk@suse.de
- Remove quotactl.2 (is part of quota package)
- Update to version 2.21
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 kukuk@suse.de
- Make it a not nearly-all package (and really noarch)
* Tue Jan 17 2006 kukuk@suse.de
- Auto-Update to version 2.20
* Tue Mar 29 2005 kukuk@suse.de
- Add shadow.5 manual page
* Thu Oct 14 2004 ro@suse.de
- make patches apply again
* Fri Sep 24 2004 kukuk@suse.de
- host.conf: document mdns option
* Wed May 26 2004 ro@suse.de
- remove .orig files
* Tue May 25 2004 thomas@suse.de
- added changes from SLES8 for EAL3+ needed for EAL4+ too
* Fri May 21 2004 kukuk@suse.de
- Update to manual page 1.67 (Update POSIX copyright)
* Mon Apr  5 2004 kukuk@suse.de
- Remove ioctl_list.2 manual page for kernel 1.3 to not confuse
  ISVs [Bug #38208]
* Mon Feb 23 2004 kukuk@suse.de
- Fix .so reference for strtoull.3p
* Thu Jan 29 2004 kukuk@suse.de
- Add man?p directories to filelist
* Wed Jan 28 2004 kukuk@suse.de
- Cleanup specfile
* Tue Jan 27 2004 kukuk@suse.de
- Install POSIX manual pages, too
* Thu Aug 28 2003 ro@suse.de
- updated specfile
* Wed Aug 13 2003 kukuk@suse.de
- Revert last change
* Tue Aug  5 2003 ro@suse.de
- fix test
* Tue Aug  5 2003 ro@suse.de
- don't stop for missing man-pages present in system
* Thu Feb 13 2003 olh@suse.de
- correct example in dlopen manpage
* Fri Mar  1 2002 ro@suse.de
- no COPYING file in source anymore, adapt specfile
* Mon Apr  9 2001 kukuk@suse.de
- Next try.
* Sat Apr  7 2001 kukuk@suse.de
- Fix compression of manual pages
* Thu Mar 29 2001 kukuk@suse.de
- Make sure we don't have manual pages with a .so refernce to a
  non-existing manual page [Bug #5061]
* Sun Dec 10 2000 kukuk@suse.de
- Fix use of RPM macro
* Tue Oct 31 2000 kukuk@suse.de
- Rename ldpman to man-pages
- Use bzip2 version
* Wed Jan  5 2000 kukuk@suse.de
- Mark COPYING and README.FSF as doc
- Move from /usr/man to /usr/share/man
* Mon Jun  7 1999 bs@suse.de
- made package "noarch"
* Thu Jan 14 1999 bs@suse.de
- don't include those man pages, that are already in the system.
* Wed Oct 15 1997 ro@suse.de
- ready for autobuild
